Page MenuHomeFreeBSD

net80211: handle VHT nodes in ieee80211_node_setuptxparms()
ClosedPublic

Authored by avos on Feb 26 2017, 3:51 PM.

Details

Summary

There are no drivers with VHT support in the tree, so this should be noop.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

avos updated this revision to Diff 25709.Feb 26 2017, 3:51 PM
avos retitled this revision from to net80211: handle VHT nodes in ieee80211_node_setuptxparms().
avos updated this object.
avos edited the test plan for this revision. (Show Details)
avos added a reviewer: adrian.
avos set the repository for this revision to rS FreeBSD src repository.
adrian edited edge metadata.Feb 26 2017, 4:46 PM

looks good; i'll test it on ath10k and then OK it if it's okay!

avos added a comment.Dec 29 2017, 11:53 PM

ping? (this part will be needed for Tx parameters - I'm going to store rate indices instead of raw rates in "new" struct ieee80211_txparam)

commit away!

This revision was not accepted when it landed; it landed in state Needs Review.Dec 30 2017, 12:25 AM
This revision was automatically updated to reflect the committed changes.